<?php

 $myAdmin = new admin ('master');
 echo $myAdmin->name . "<br>\n";
 echo $myAdmin->userId . "<br>\n";
 $query = "SELECT * FROM users WHERE email LIKE 'fake@fake.de' AND ersteller =
 '0'";
 $result = dbQuery ($query) or 
   error ("Konnte User nicht datenbank holen: " . dbError());
 while ($row = dbFetchRow($result))
 {
     $tmpUser = new user($row['versnummer']);
     echo $tmpUser->name. "<br>\n";
     $erstellungsdatum = $tmpUser->erstellungsdatum;

     $query = "INSERT INTO userlogs VALUES ('" . $myAdmin->userId.
              "', 'admin', 'newclient', '" .$tmpUser->userId . "','','" .
              $erstellungsdatum. "')";
     $logresult = dbQuery($query) or
       error ("Konnte Log nicht schreiben: " . dbError());
     $query = "UPDATE users SET ersteller = '" . $myAdmin->userId . "' WHERE
     userId = ' " . $tmpUser->userId . "'";
     $updateresult = dbQuery($query) or
       error("Konnte User nicht updatesn: " .dbError());
 }
 ?>
